r6 ./uriparser: Add script to prune RFCs from the tarball, and a README.Debian-source file.

Adeodato Simó dato at net.com.org.es
Thu Sep 20 19:33:25 UTC 2007


------------------------------------------------------------
revno: 6
committer: Adeodato Simó <dato at net.com.org.es>
branch nick: uriparser
timestamp: Thu 2007-09-20 21:33:25 +0200
message:
  Add script to prune RFCs from the tarball, and a README.Debian-source file.
  
  NB: I prefer no .dfsg prefix in the version number just for this.
added:
  debian/README.Debian-source
  debian/prune-tarball.sh
-------------- next part --------------
=== added file 'debian/README.Debian-source'
--- a/debian/README.Debian-source	1970-01-01 00:00:00 +0000
+++ b/debian/README.Debian-source	2007-09-20 19:33:25 +0000
@@ -0,0 +1,7 @@
+The tarball distributed by Debian is a modified version of the tarball
+provided by upstream, where the files rfc3986.htm, rfc3513.htm, and
+rfc3986_grammar_only.txt have been removed from the doc/ subdirectory
+because they're not available under a DFSG-compliant license.
+
+A script to automatically perform these removals is provided in
+debian/prune-tarball.sh.

=== added file 'debian/prune-tarball.sh'
--- a/debian/prune-tarball.sh	1970-01-01 00:00:00 +0000
+++ b/debian/prune-tarball.sh	2007-09-20 19:33:25 +0000
@@ -0,0 +1,24 @@
+#! /bin/bash
+
+set -e
+
+if [ ! -r "$1" ]; then
+    echo >&2 "E: need an existing tarball as the first argument."
+    exit 1
+fi
+
+TMP_DIR=`mktemp -d`
+TARBALL_NAME="`basename $1`"
+trap "rm -rf $TMP_DIR" 0
+
+tar xCf "$TMP_DIR" "$1"
+rm "$TMP_DIR"/*/doc/rfc{3986,3513}.htm
+rm "$TMP_DIR"/*/doc/rfc3986_grammar_only.txt
+
+(
+cd "$TMP_DIR"
+tar czf "$TARBALL_NAME" *
+)
+
+mv "$1" "$1.bak"
+mv "$TMP_DIR/$TARBALL_NAME" `dirname "$1"`



More information about the pkg-xiph-commits mailing list